Bug 20866

Summary: WebKit does not fire MSAA focus events
Product: WebKit Reporter: Jon Honeycutt <jhoneycutt>
Component: AccessibilityAssignee: Jon Honeycutt <jhoneycutt>
Status: RESOLVED FIXED    
Severity: Normal CC: jon, jshin
Priority: P2 Keywords: InRadar, PlatformOnly
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows XP   
Attachments:
Description Flags
Patch.
oliver: review+
Layout test oliver: review+

Description Jon Honeycutt 2008-09-15 16:45:29 PDT
WebKit should fire an EVENT_OBJECT_FOCUS event when an object on the page gains focus.

<rdar://problem/6218721>
Comment 1 Jon@Chromium 2008-12-04 14:24:14 PST
This is blocking Chromium from supporting readers.  See http://code.google.com/p/chromium/issues/detail?id=2564
Comment 2 Jon Honeycutt 2009-08-14 20:42:47 PDT
Created attachment 34885 [details]
Patch.

Layout test to follow.
Comment 3 Jon Honeycutt 2009-08-14 20:44:45 PDT
Created attachment 34886 [details]
Layout test

Enables the accessibility tests on Windows, and adds a Windows-specific layout test for focus events.
Comment 4 Jon Honeycutt 2009-08-14 23:16:19 PDT
Committed in r47311, r47312.